### Method

# Handy TabView reorder_page

since: 1.2

#### Declaration [src]

    gboolean
    hdy_tab_view_reorder_page (
      HdyTabView* self,
      HdyTabPage* page,
      gint position
    )

#### Description [src]

Reorders `page` to `position`.

It’s a programmer error to try to reorder a pinned page after a non-pinned one, or a non-pinned page before a pinned one.

Available since: 1.2

#### Parameters

`page`

  Type: `HdyTabPage`

  A page of `self`.

  The data is owned by the caller of the method.

`position`

  Type: `gint`

  The position to insert the page at, starting at 0.

#### Return value

Type: `gboolean`

Whether `page` was moved.